\prog;PicT676d.asm| 16F676 dcompte le registre  dcalage espion
\b;  priode 0.526s 
; Si OscCal est bien rgl,le compteur arrive  zero 
; au bout d'une minute exactement
.Proc	16f870
.Ref	16F676

Valeur	= 114*2

.Loc	DebVar
C1:	.16	1
C2:	.16	1
Data:	.16	1

Motif	= 16'23

\const;PortA
bD	= 0
bCk	= 1
DirA	= 2'111100
DirC	= 2'111111

.Loc	0

Deb:
	Clr	PortA
	Move	#16'07,W	; Dconnecte les comparateurs
	Move	W,CmCon
	Set	Status:#RP0
	Clr	AnSel		; Dconnecte le A/D
	Call	16'3FF
	Move	W,OscCal	; Corrige la frquence
	Clr	Status:#RP0

	Move	#DirA,W	; out
	Move	W,TrisA
	Move	#DirC,W
	Move	W,TrisC	; in

	Move	#Valeur,W
	Move	W,Motif
Loop:	; boucle 263 ms  
	Dec	Motif
	Not	Motif,W

	Call	SndS8
; Attente 256*4+3)*256
  A$:
	Nop
	DecSkip,EQ	C1
	Jump	A$
	DecSkip,EQ	C2
	Jump	A$
	
	Jump	Loop


\macro;Registre  dcalage srie|
\b;Les transferts durent 85 us et ne doivent tre espacs
\b;de 1  10 ms au moins.
.Macro	SetD
	Set	PortA:#bD
	Nop
.EndMacro
.Macro	ClrD
	Clr	PortA:#bD
	Nop
.EndMacro

.Macro	SetCk
	Set	PortA:#bCk
.EndMacro
.Macro	ClrCk
	Clr	PortA:#bCk
.EndMacro
.Macro	FullCk	; Ck  .../'''\...
	SetCk
	Nop		; 1 \mu;s pulse min
	ClrCk
.EndMacro

\rout;SndS8|Envoie et lit 8 bits, sans Start/Stop
; Dure 85 microsecondes
\in;W  (data in)
\out;W = DataOut
\mod;W C1  Data
; CK  ________/'\\__/'\\__/'\\_... _/'\\_____
; Dout XXXXX\\_===\\_===\\_=== ... \\========
SndS8:
	Move	W,Data
	Move	#8,W
	Move	W,C1
  L$:
	ClrD
	RRC	Data
	Skip,CC
	SetD
	FullCk
	DecSkip,EQ C1
	Jump	L$
	Ret

.Align	16'8
.16	"P","i","c","t","6","7","6","d"
.Fill.16 	FinProg+1-APC,-1
.Loc	16'2007
.16	16'3F94

.End
